librevenge::RVNGPropertyListImpl Class Reference documentation

librevenge::RVNGPropertyListImpl Class Reference

## Public Member Functions
| RVNGPropertyListImpl ()
| RVNGPropertyListImpl (const RVNGPropertyListImpl &plist)
| ~RVNGPropertyListImpl ()
RVNGPropertyListImpl & | operator= (const RVNGPropertyListImpl &plist)
void | insert (const char *name, RVNGProperty *prop)
void | insert (const char *name, RVNGPropertyListVector *vec)
const RVNGProperty * | operator[] (const char *name) const
const RVNGPropertyListVector * | child (const char *name) const
void | remove (const char *name)
void | clear ()
bool | empty () const

## Public Attributes
std::map< std::string, RVNGPropertyListElement > | m_map

## Constructor & Destructor Documentation

## ◆ RVNGPropertyListImpl() [1/2]

librevenge::RVNGPropertyListImpl::RVNGPropertyListImpl | ( |  | ) |
| inline

Referenced by operator=(), and RVNGPropertyListImpl().

## ◆ RVNGPropertyListImpl() [2/2]

librevenge::RVNGPropertyListImpl::RVNGPropertyListImpl | ( | const RVNGPropertyListImpl & | plist | ) |
| inline

## ◆ ~RVNGPropertyListImpl()

librevenge::RVNGPropertyListImpl::~RVNGPropertyListImpl | ( |  | ) |
| inline

## Member Function Documentation

## ◆ child()

const RVNGPropertyListVector * librevenge::RVNGPropertyListImpl::child | ( | const char * | name | ) | const

## ◆ clear()

void librevenge::RVNGPropertyListImpl::clear | ( |  | ) |

## ◆ empty()

bool librevenge::RVNGPropertyListImpl::empty | ( |  | ) | const

## ◆ insert() [1/2]

void librevenge::RVNGPropertyListImpl::insert | ( | const char * | name,
|  | RVNGProperty * | prop )

## ◆ insert() [2/2]

void librevenge::RVNGPropertyListImpl::insert | ( | const char * | name,
|  | RVNGPropertyListVector * | vec )

## ◆ operator=()

RVNGPropertyListImpl & librevenge::RVNGPropertyListImpl::operator= | ( | const RVNGPropertyListImpl & | plist | ) |

## ◆ operator[]()

const RVNGProperty * librevenge::RVNGPropertyListImpl::operator[] | ( | const char * | name | ) | const

## ◆ remove()

void librevenge::RVNGPropertyListImpl::remove | ( | const char * | name | ) |

## Member Data Documentation

## ◆ m_map

std::map<std::string, RVNGPropertyListElement> librevenge::RVNGPropertyListImpl::m_map
| mutable

Referenced by child(), clear(), empty(), insert(), insert(), operator=(), operator[](), remove(), RVNGPropertyListImpl(), and RVNGPropertyListImpl().

The documentation for this class was generated from the following file:

- RVNGPropertyList.cpp